| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
PolyLine Class Reference
PDF » annots

PolyLine annot object. More...

Inheritance diagram for PolyLine:

## Public Member Functions
| enableCaption (enable)
| Toggle polyline's caption. More...
| exportToJSON ()
| Export annotation to a json object. [Support in Server] Override Markup::exportToJSON. More...
| getCaptionColor ()
| Get annotation's caption color. More...
| getEndingStyle ()
| Get line ending style. [Support in Server] More...
| getMeasureRatio ()
| getMeasureUnit ()
| Get the label for displaying the units for measuring. More...
| getStartStyle ()
| Get callout line start style. [Support in Server] More...
| getStyleFillColor ()
| Get free text's fill color. [Support in Server] More...
| getVertexes ()
| Get vertexes of annotation. [Support in Server] More...
| hasCaption ()
| Check polyline has caption or not. More...
| setCaptionColor (captionColor)
| Set annotation's caption color. More...
| setEndingStyle (isBeginning, style)
| Set line terminal style. [Support in Server] More...
| setMeasureRatio ({ userSpaceValue=1, userSpaceUnit='inch', realValue=1, realUnit='inch' }={})
| setMeasureUnit (unit)
| Set the label for displaying the units for measuring. More...
| setStyleFillColor (styleFillColor)
| Set annotation's fill color. [Support in Server] More...
| setVertexes (vertexes)
| Set new vertexes to annotation. [Support in Server] More...
| updateVertexes (index,{x, y})
Public Member Functions inherited from Markup
| addMarkedState (stateName)
| Add marked state with specific name [Support in Server] More...
| addReply (content)
| Add a new reply to the end of reply list. [Support in Server] More...
| addReviewState (stateName)
| Add review state with specific name. [Support in Server] More...
| addRichText (datas)
| Add new text data with rich styles to the end. Note: Now, only support Freetext annotation. if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation. More...
| exportToJSON ()
| Export annotation to a json object. [Support in Server] Override Annot::exportToJSON. More...
| getBorderOpacity ()
| Get markup annotation's border opacity. More...
| getCreateDateTime ()
| Get creation date time. [Support in Server] More...
| getFillOpacity ()
| Get markup annotation's fill opacity. More...
| getGroupElements ()
| Get the group annotations which own current annotation. [Support in Server] More...
| getGroupHeader ()
| Get the header annotation (as primary annotation) of the group that current markup annotation belongs to. [Support in Server] More...
| getIntent ()
| Get intent name. Following annotation types have predefined intent name: More...
| getMarkedState (index)
| Get a state annotation by index. state model is marked [Support in Server] More...
| getMarkedStateCount ()
| Get the count of state annotations. [Support in Server] More...
| getMarkedStates ()
| Get all state annotation. state model is marked [Support in Server] More...
| getOpacity ()
| Get opacity value. This property has effect on markup annotation's appearance. [Support in Server] More...
| getPopup ()
| Get annotation's popup. [Support in Server] More...
| getReplies ()
| Get all replies [Support in Server] More...
| getReply (index)
| Get a reply annot by index. [Support in Server] More...
| getReplyCount ()
| Count all replies. [Support in Server] More...
| getReviewState (index)
| Get a state annotation by index. state model is review [Support in Server] More...
| getReviewStateCount ()
| Get the count of state annotations. [Support in Server] When state model is review, the markup annotation can have several state annotations in a chain: first state annotation refers to the markup annotation, second state annotation refers to the first state annotation, etc. Just like this: markup annotation <– reviewed state1 <– reviewed state2 ... More...
| getReviewStates ()
| Get all state annotation. state model is review [Support in Server] More...
| getRichText ()
| Get the rich text data, including rich text strings and styles. Note: Now, only support Freetext annotation. if current annotation is a freetext and its intent is "FreeTextTypewriter", text aligment of input style will be set to all rich text strings of current freetext annotation. More...
| getSubject ()
| Get subject string. [Support in Server] More...
| getTitle ()
| Get title string. [Support in Server] More...
| insertRichText (datas)
| Insert rich text string to the place which is specified by indexs. More...
| isGrouped ()
| Check whether current markup annotation is in a group or not. [Support in Server] More...
| isGroupHeader ()
| Check whether current markup annotation is a group header annotation. [Support in Server] More...
| removeAllStateAnnots ()
| Remove all sate from this markup annotation. [Support in Server] More...
| removeRichText (indexes)
| Remove a rich text string specified by index. More...
| setBorderOpacity (opacity)
| Set markup annotation's border opacity. More...
| setContent (content)
| Set markup annotation's contents. [Support in Server] More...
| setCreateDateTime (date)
| Set creation date time. [Support in Server] More...
| setFillOpacity (opacity)
| Set markup annotation's fill opacity. More...
| setIntent (intent)
| Set annotaions's intent. More...
| setOpacity (opacity)
| Set opacity value. [Support in Server] More...
| setRichText (datas)
| Set the rich text data with rich styles to the place which is specified by indexes. Note: Now, only support Freetext annotation. if current annotation is a freetext and its intent is "FreeTextTypewriter", text alignment of input style will be set to all rich text strings of current freetext annotation. More...
| setSubject (subject)
| Set subject string. [Support in Server] More...
| setTitle (title)
| Set title string. [Support in Server] More...
Public Member Functions inherited from Annot
| appendAction (actionSpec)
| Appends a action to the annotation. This function cannot be used to append action which is used as additional action. More...
| exportToJSON ()
| Export the current annotation to a Json object. [Support in Server] More...
| getActionData ()
| Retrieves the action associated with this annotation. This function cannot be used to get action which is used as additional action. More...
| getAllActionData ()
| Gets all action data associated with the annotation. This method retrieves all action data including both primary and additional actions of the annotation. The action will be grouped by action trigger type: ActionTriggerEvents.ANNOT_MOUSE_BUTTON_RELEASED. More...
| getAnnotId ()
| Retrieves the unique identifier of the annotation. The identifier consists of two components: the page index and the object number, which together ensure the annotation's uniqueness within the document. More...
| getBorderColor ()
| Get annotation's border color. [Support in Server] More...
| getBorderInfo ()
| Get annotation's border information. [Support in Server] More...
| getBorderStyle ()
| Get annotation's border style. More...
| getContent ()
| Get annotation's contents. [Support in Server] More...
| getDictionaryEntry (key)
| Get the dictionary property of Annot by key. More...
| getFlags ()
| Get annotation's flag. [Support in Server] More...
| getModifiedDateTime ()
| Get annotation's last modified date time. [Support in Server] More...
| getObjectNumber ()
| Get annotation's object number. More...
| getPage ()
| Get annotation's page. [Support in Server] More...
| getRect ()
| Get annotation's rect. [Support in Server] More...
| getTitle ()
| Get annotation's title. [Support in Server] More...
| getType ()
| Get annotation's type. [Support in Server] More...
| getUniqueID ()
| Get annotation's unique ID. [Support in Server] More...
| isEmpty ()
| Check annotation is empty or not. [Support in Server] More...
| isMarkup ()
| Check if current annotation is a markup annotation. [Support in Server] More...
| removeAction (actionObjNumber)
| Removes a action from the annotation. This function cannot be used to remove action which is used as additional action. More...
| setAction (actionSpec)
| Set the action for the annotation. This function cannot be used to set action which is used as additional action. More...
| setBorderColor (borderColor)
| Set annotation's border color. [Support in Server] More...
| setBorderInfo (borderInfo)
| Set annotation's border information. [Support in Server] More...
| setBorderStyle (borderStyle, styleParam)
| Set annotation's border style. More...
| setContent (content)
| Set contents for the currently gotten annotation. [Support in Server] More...
| setCustomAPStream (appearanceType, appearanceStream)
| setDictionaryEntry (key, value)
| Add a new entry or replace the existing entry of the annotation dictionary. Caller could use this method to store their private data to the annotation. Do not use any standard key of the annotation dictionary, such as 'Type', 'Subtype', 'Rect' defined in PDF Reference. If any standard key is used, this behaviour will be undefined. More...
| setFlags (flag, notTriggerEvent)
| Set annotation's flag. [Support in Server] More...
| setModifiedDateTime (date)
| Set annotation's last modified date time. [Support in Server] More...
| setRect (rect)
| Set annotation's rect. More...
| supportsAction ()
| This method checks the annotation type and returns true if the type is screen, link or sound annotation, Indicating that are supports actions. For other types of annotation, it returns false. More...
| updateAction (actionObjNumber, actionData)
| Updates an existing action in the annotation. This function cannot be used to update action which is used as additional action. More...
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Detailed Description

PolyLine annot object.

## Member Function Documentation

## ◆ enableCaption()

PolyLine::enableCaption | ( |  | enable | ) |
| inline

Toggle polyline's caption.

Parameters

  enable | boolean - True to show caption, false to hide.

Returns
  Promise<void>

Since
  9.0.0

## ◆ exportToJSON()

PolyLine::exportToJSON | ( |  | ) |
| inline

Export annotation to a json object. [Support in Server] Override Markup::exportToJSON.

Returns
  Record<string,any> - A json object with caret properties:
  {
  ...MarkupAnnotJSON,//JSON object from Markup::exportToJSON()
  vertices:{string},//"{x1},{y1},{x2},{y2}..."
  interiorColor:{string},//#rrggbb
  }

## ◆ getCaptionColor()

PolyLine::getCaptionColor | ( |  | ) |
| inline

Get annotation's caption color.

Returns
  number - An integer indicating caption color will be returned. Format: 0xRRGGBB.

Since
  9.1.0

## ◆ getEndingStyle()

PolyLine::getEndingStyle | ( |  | ) |
| inline

Get line ending style. [Support in Server]

Returns
  number - An integer value. Please refer to Ending_Style.

## ◆ getMeasureRatio()

PolyLine::getMeasureRatio | ( |  | ) |
| inline

Get the scale ratio for measuring.

Returns
  string - Scale ratio.

Example:
  function example(annot){
  annot.getMeasureRatio()
  }

## ◆ getMeasureUnit()

PolyLine::getMeasureUnit | ( |  | ) |
| inline

Get the label for displaying the units for measuring.

Example:
  function example(annot){
  annot.getMeasureUnit()
  }

Since
  9.2.0

Returns
  string - A label for displaying the units.

## ◆ getStartStyle()

PolyLine::getStartStyle | ( |  | ) |
| inline

Get callout line start style. [Support in Server]

Returns
  number - An integer value. Please refer to Ending_Style.

## ◆ getStyleFillColor()

PolyLine::getStyleFillColor | ( |  | ) |
| inline

Get free text's fill color. [Support in Server]

Returns
  number - An integer indicating fill color.

## ◆ getVertexes()

PolyLine::getVertexes | ( |  | ) |
| inline

Get vertexes of annotation. [Support in Server]

Returns
  Array<{x:number,y:number}> - An array of points.
  [
  {
  x:{number},
  y:{number}
  },
  {
  x:{number},
  y:{number}
  }
  ...
  ]

## ◆ hasCaption()

PolyLine::hasCaption | ( |  | ) |
| inline

Check polyline has caption or not.

Returns
  boolean - True for positive, false for negative.

Since
  9.0.0

## ◆ setCaptionColor()

PolyLine::setCaptionColor | ( |  | captionColor | ) |
| inline

Set annotation's caption color.

Parameters

  captionColor | number|[string,number,number,number]|string - Specify caption color (alpha is not supported). Supported color format: number, such as 0xff0000, 16711680 PDF color array, such as ['RGB',1,1,1] which means white. Range: 0.0~1.0, The ratio to HTML color format is 1:255. HTML color format, such as '#ff0000', 'rgb(255,0,0)', 'rgba(255,0,0,1)'

Returns
  Promise<boolean> - A boolean value indicating whether success.

Since
  9.1.0

## ◆ setEndingStyle()

PolyLine::setEndingStyle | ( |  | isBeginning,
|  |  | style
| ) |  |
| inline

Set line terminal style. [Support in Server]

Parameters

  isBeginning | boolean - Indecated start point or end point.
  endingStyle | number - An integer value indicating ending style. Please refer to Ending_Style.

Returns
  Promise<void> -

## ◆ setMeasureRatio()

PolyLine::setMeasureRatio | ( |  | { userSpaceValue=1, userSpaceUnit='inch', realValue=1, realUnit='inch' } = `{}` | ) |
| inline

Set the scale ratio for measuring.

Parameters

  measurementRatio | object
  measurementRatio.userSpaceValue | number - Set the ratio value in user space.
  measurementRatio.userSpaceUnit | string - Set the ratio unit in user space. Please refer to Annot_Unit_Type
  measurementRatio.realValue | string - Set the ratio value in real space.
  measurementRatio.realUnit | string - Set the ratio unit in real space. Please refer to Annot_Unit_Type

Example:
  function example(annot){
  const Annot_Unit_Type = PDFViewCtrl.PDF.annots.constant.Annot_Unit_Type
  annot.setMeasureRatio({
  userSpaceValue:1,
  userSpaceUnit: Annot_Unit_Type.inch,
  realValue:1,
  realUnit: Annot_Unit_Type.inch,
  })
  }

## ◆ setMeasureUnit()

PolyLine::setMeasureUnit | ( |  | unit | ) |
| inline

Set the label for displaying the units for measuring.

Parameters

  unit | string - A label for displaying the units. Please refer to Annot_Unit_Type

Returns
  Promise<void> -

Example:
  function example(annot){
  annot.setMeasureUnit(PDFViewCtrl.PDF.annots.constant.Annot_Unit_Type.inch)
  }

Since
  9.2.0

## ◆ setStyleFillColor()

PolyLine::setStyleFillColor | ( |  | styleFillColor | ) |
| inline

Set annotation's fill color. [Support in Server]

Parameters

  styleFillColor | number|['T']|[string,number,number,number]|string - An integer indicating fill color (alpha is not supported). Supported color format: 0 or ['T'] for transparent number, such as 0xff0000, 16711680 PDF color array, such as ['RGB',1,1,1] which means white. Range: 0.0~1.0, The ratio to HTML color format is 1:255. HTML color format, such as '#ff0000', 'rgb(255,0,0)', 'rgba(255,0,0,1)'

Returns
  Promise<boolean> - A boolean value indicating the success or failue.

## ◆ setVertexes()

PolyLine::setVertexes | ( |  | vertexes | ) |
| inline

Set new vertexes to annotation. [Support in Server]

Parameters

  vertexes | Array<{x:number,y:number}> - New vertexes to be setted. [ { x:{number}, y:{number} }, { x:{number}, y:{number} } ... ]

Returns
  Promise<void>

## ◆ updateVertexes()

PolyLine::updateVertexes | ( |  | index,
|  |  | {x, y}
| ) |  |
| inline

Updatea annotation's vertexes. [Support in Server]

Parameters

  index | number - Index of vertex.
  point | {x:number,y:number} - New poistion. { x:{number}, y:{number} } @returns Promise<void>

@2025 Foxit Software Incorporated. All rights reserved.